Alexey Shvetsov | 1 Jul 2011 01:30
Picon
Favicon

proj/sci:master commit in: sys-infiniband/openib-files/files/, sys-infiniband/openib-files/, ...

commit:     e07a646cc444ad89b8c080117444ddd6580e9aac
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 30 23:27:55 2011 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Thu Jun 30 23:28:57 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=e07a646c

Drop old OFED

---
 eclass/openib.eclass                               |   74 --
 sys-infiniband/openib-drivers/ChangeLog            |   30 -
 sys-infiniband/openib-drivers/files/openib         |  792 --------------------
 .../openib-drivers/files/openib.modprobe           |   12 -
 sys-infiniband/openib-drivers/metadata.xml         |   23 -
 .../openib-drivers/openib-drivers-1.2.5.5.ebuild   |  145 ----
 sys-infiniband/openib-files/ChangeLog              |   31 -
 sys-infiniband/openib-files/files/90-ib.rules      |    5 -
 sys-infiniband/openib-files/files/openib           |  243 ------
 sys-infiniband/openib-files/files/openib.conf      |   27 -
 sys-infiniband/openib-files/files/openib.env       |    1 -
 sys-infiniband/openib-files/files/openib.modprobe  |   12 -
 .../openib-files/files/openib.modprobe.1.2.5.5     |   13 -
 sys-infiniband/openib-files/metadata.xml           |   17 -
 .../openib-files/openib-files-1.2.5.5.ebuild       |  132 ----
 sys-infiniband/openib-userspace/ChangeLog          |   27 -
 .../openib-userspace/files/opensm.conf.d           |    2 -
 .../openib-userspace/files/opensm.init.d           |   28 -
 sys-infiniband/openib-userspace/metadata.xml       |   20 -
 .../openib-userspace-1.2.5.5.ebuild                |   91 ---
 20 files changed, 0 insertions(+), 1725 deletions(-)

diff --git a/eclass/openib.eclass b/eclass/openib.eclass
deleted file mode 100644
index 3705957..0000000
--- a/eclass/openib.eclass
+++ /dev/null
 <at>  <at>  -1,74 +0,0  <at>  <at> 
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-#
-# Original Author: Alexey Shvetsov <alexxy-aBrp7R+bbdUdnm+yROfE0A <at> public.gmane.org>
-# Purpose:  Simplify working with OFED packages
-#
-
-inherit base eutils rpm versionator
-
-EXPORT_FUNCTIONS src_unpack
-
-HOMEPAGE="http://www.openfabrics.org/"
-LICENSE="|| ( GPL-2 BSD-2 )"
-SLOT="0"
-
-#  <at> ECLASS-VARIABLE: OFED_VER
-#  <at> DESCRIPTION:
-# Defines OFED version eg 1.4 or 1.4.0.1
-
-#  <at> ECLASS-VARIABLE: OFED_SUFFIX
-#  <at> DESCRIPTION:
-# Defines OFED package suffix eg -1.ofed1.4
-
-#  <at> ECLASS-VARIABLE: OFED_SNAPSHOT
-#  <at> DESCRIPTION:
-# Defines if src tarball is git snapshot
-
-OFED_BASE_VER=$(get_version_component_range 1-3 ${OFED_VER})
-
-SRC_URI="http://www.openfabrics.org/downloads/OFED/ofed-${OFED_BASE_VER}/OFED-${OFED_VER}.tgz"
-
-case ${PN} in
-	openib-files)
-		MY_PN="ofa_kernel"
-		;;
-	*)
-		MY_PN="${PN}"
-		;;
-esac
-
-case ${PV} in
-	*p*)
-		MY_PV="${PV/p/}"
-		;;
-	*)
-		MY_PV="${PV}"
-		;;
-esac
-
-case ${MY_PN} in
-	ofa_kernel)
-		EXT="tgz"
-		;;
-	*)
-		EXT="tar.gz"
-		;;
-esac
-
-S="${WORKDIR}/${MY_PN}-${MY_PV}"
-
-#  <at> FUNCTION: openib_src_unpack
-#  <at> DESCRIPTION:
-# This function will unpack OFED packages
-openib_src_unpack() {
-	unpack ${A}
-	rpm_unpack "./OFED-${OFED_VER}/SRPMS/${MY_PN}-${MY_PV}-${OFED_SUFFIX}.src.rpm"
-	if [ -z ${OFED_SNAPSHOT} ]; then
-		unpack ./${MY_PN}-${MY_PV}.${EXT}
-	else
-		unpack ./${MY_PN}-${MY_PV}-${OFED_SUFFIX}.${EXT}
-	fi
-}

diff --git a/sys-infiniband/openib-drivers/ChangeLog b/sys-infiniband/openib-drivers/ChangeLog
deleted file mode 100644
index f0c3b08..0000000
--- a/sys-infiniband/openib-drivers/ChangeLog
+++ /dev/null
 <at>  <at>  -1,30 +0,0  <at>  <at> 
-# ChangeLog for sys-infiniband/openib-drivers
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: $
-
-  23 Jul 2009; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org>
-  openib-drivers-1.2.5.5.ebuild: changed sys-cluster to sys-infiniband
-
-  19 Mar 2009; Alexey Shvetsov <alexxy-aBrp7R+bbdUdnm+yROfE0A <at> public.gmane.org>
-  -openib-drivers-1.2.ebuild:
-  Drop old versions
-
-*openib-drivers-1.2.5.5 (05 Jun 2008)
-
-  05 Jun 2008; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org> ChangeLog:
-  added openib-drivers-1.2.5.5.ebuild
-
-  28 May 2008; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org> ChangeLog:
-  added ~x86 keyword, updated copyright date
-
-*openib-drivers-1.2 (24 Oct 2007)
-
-  24 Oct 2007; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org>
-    +openib-drivers-1.2.ebuild: version bump
-    -openib-drivers-1.1.ebuild: removed
-
-*openib-drivers-1.1 (26 Oct 2006)
-
-  26 Oct 2006; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org> ChangeLog:
-  Initial Import
-

diff --git a/sys-infiniband/openib-drivers/files/openib b/sys-infiniband/openib-drivers/files/openib
deleted file mode 100644
index 19bcdb0..0000000
--- a/sys-infiniband/openib-drivers/files/openib
+++ /dev/null
 <at>  <at>  -1,792 +0,0  <at>  <at> 
-#!/sbin/runscript
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /CVS/groups/vistech/bgreen-overlay/sys-cluster/openib-drivers/files/openib,v 1.1.1.1 2007/10/12 20:18:26 bgreen Exp $
-
-# Based on openibd script from openfabrics.org,
-#  Copyright (c) 2006 Mellanox Technologies. All rights reserved.
-#  Distributed under the terms of the GNU General Public License v2
-
-depend() {
-    after coldplug hotplug
-    before net         # init openib before starting any ipoib interfaces
-}
-
-OPENIB_CONFDIR=${OPENIB_CONFDIR:-/etc/infiniband}
-
-if [[ -r ${OPENIB_CONFDIR}/openib.conf ]] ; then
-    . ${OPENIB_CONFDIR}/openib.conf
-fi
-
-max_ports_num_in_hca=0
-
-count_ib_ports()
-{
-    local cnt=0
-    local ports_in_hca=0
-    sysdir=/sys/class/infiniband
-    hcas=$(/bin/ls -1 ${sysdir} 2> /dev/null)
-    for hca in $hcas
-    do
-        ports_in_hca=$(/bin/ls -1 ${sysdir}/${hca}/ports 2> /dev/null | wc -l)
-        if [ $ports_in_hca -gt $max_ports_num_in_hca ]; then
-                max_ports_num_in_hca=$ports_in_hca
-        fi
-        cnt=$[ $cnt + $ports_in_hca ]
-    done
-   
-    return $cnt
-}
-
-# Setting OpenIB start parameters
-POST_LOAD_MODULES=""
-
-if [ "X${SDP_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_sdp"
-    IPOIB_LOAD="yes"
-fi
-
-IPOIB=0
-IPOIB_MTU=${IPOIB_MTU:-65520}
-if [ "X${IPOIB_LOAD}" == "Xyes" ]; then
-    IPOIB=1
-fi
-
-if [ "X${SRP_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_srp"
-fi
-
-if [ "X${VNIC_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_vnic"
-fi
-
-if [ "X${SRP_TARGET_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_srp_target"
-fi
-
-if [ "X${RDMA_CM_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES rdma_cm"
-fi
-
-if [ "X${UCM_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_ucm"
-fi
-
-if [ "X${RDS_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES rds"
-fi
-
-if [ "X${ISER_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_iser"
-fi
-
-if [ "X${RDMA_UCM_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES rdma_ucm"
-fi
-
-UNLOAD_MODULES="ib_ipoib ib_madeye ib_rds rds ib_ucm kdapl ib_srp_target scsi_target ib_srp ib_vnic"
-UNLOAD_MODULES="$UNLOAD_MODULES ib_iser ib_sdp rdma_ucm rdma_cm ib_addr ib_cm ib_local_sa findex"
-UNLOAD_MODULES="$UNLOAD_MODULES ib_sa ib_uverbs ib_umad ib_mthca ib_ipath ipath_core ib_ehca ib_mad ib_core"
-
-STATUS_MODULES="rdma_ucm ib_rds rds ib_srp ib_vnic ib_sdp rdma_cm ib_addr ib_local_sa findex ib_ipoib ib_ehca ib_ipath ipath_core ib_mthca ib_uverbs ib_umad ib_ucm ib_sa ib_cm ib_mad ib_core"
-
-ipoib_ha_pidfile=/var/run/ipoib_ha.pid
-srp_daemon_pidfile=/var/run/srp_daemon.pid
-
-get_interfaces()
-{
-    count_ib_ports
-    ports_num=$?
-                       
-    interfaces=""
-    for (( i=0 ; i < $ports_num ; i++ ))
-    do
-        interfaces="$interfaces ib${i}"
-    done    
-}
-
-# If module $1 is loaded return - 0 else - 1
-is_module()
-{
-    local RC
-
-    /bin/lsmod | grep -w "$1" > /dev/null 2>&1
-    RC=$?
-
-    return $RC
-}
-
-get_sw_fw_info()
-{
-    INFO=/etc/infiniband/info
-    OFEDHOME="/usr/local"
-    if [ -x ${INFO} ]; then
-        OFEDHOME=$(${INFO} | grep -w prefix | cut -d '=' -f 2)
-    fi
-    MREAD=$(which mread 2> /dev/null)
-    
-    # Get OFED Build id
-    if [ -r ${OFEDHOME}/BUILD_ID ]; then
-        echo  "Software"
-        echo  "-------------------------------------"
-        printf "Build ID:\n"
-        cat ${OFEDHOME}/BUILD_ID
-        echo  "-------------------------------------"
-    fi    
-
-    # Get FW version
-    if [ ! -x ${MREAD} ]; then
-        return 1
-    fi
-
-    vendor="15b3"
-    slots=$(lspci -n -d "${vendor}:" 2> /dev/null | grep -v "5a46" | cut -d ' ' -f 1)
-    for mst_device in $slots
-    do
-        major=$($MREAD ${mst_device} 0x82478 2> /dev/null | cut -d ':' -f 2)
-        subminor__minor=$($MREAD ${mst_device} 0x8247c 2> /dev/null | cut -d ':' -f 2)
-        ftime=$($MREAD ${mst_device} 0x82480 2> /dev/null | cut -d ':' -f 2)
-        fdate=$($MREAD ${mst_device} 0x82484 2> /dev/null | cut -d ':' -f 2)
-
-        major=$(echo -n $major | cut -d x -f 2 | cut -b 4)
-        subminor__minor1=$(echo -n $subminor__minor | cut -d x -f 2 | cut -b 3,4)
-        subminor__minor2=$(echo -n $subminor__minor | cut -d x -f 2 | cut -b 5,6,7,8)
-        echo
-        echo "Device ${mst_device} Info:"
-        echo "Firmware:"
-
-        printf "\tVersion:"
-        printf "\t$major.$subminor__minor1.$subminor__minor2\n"
-
-        day=$(echo -n $fdate | cut -d x -f 2 | cut -b 7,8)
-        month=$(echo -n $fdate | cut -d x -f 2 | cut -b 5,6)
-        year=$(echo -n $fdate | cut -d x -f 2 | cut -b 1,2,3,4)
-        hour=$(echo -n $ftime | cut -d x -f 2 | cut -b 5,6)
-        min=$(echo -n $ftime | cut -d x -f 2 | cut -b 3,4)
-        sec=$(echo -n $ftime | cut -d x -f 2 | cut -b 1,2)
-        
-        printf "\tDate:"
-        printf "\t$day/$month/$year $hour:$min:$sec\n"
-    done
-}
-
-# Create debug info
-get_debug_info()
-{
-    trap '' 2 9 15
-    DEBUG_INFO=/tmp/ib_debug_info.log
-    /bin/rm -f $DEBUG_INFO
-    touch $DEBUG_INFO
-    echo "Hostname: `hostname -s`" >> $DEBUG_INFO
-    test -e /etc/issue && echo "OS: `cat /etc/issue`" >> $DEBUG_INFO
-    echo "Current kernel: `uname -r`" >> $DEBUG_INFO
-    echo "Architecture: `uname -m`" >> $DEBUG_INFO
-    echo "GCC version: `gcc --version`"  >> $DEBUG_INFO
-    echo "CPU: `cat /proc/cpuinfo | /bin/grep -E \"model name|arch\" | head -1`" >> $DEBUG_INFO
-    echo "`cat /proc/meminfo | /bin/grep \"MemTotal\"`" >> $DEBUG_INFO
-    echo "Chipset: `/sbin/lspci 2> /dev/null | head -1 | cut -d ':' -f 2-`" >> $DEBUG_INFO
-
-    echo >> $DEBUG_INFO
-    get_sw_fw_info >> $DEBUG_INFO
-    echo >> $DEBUG_INFO
-
-    echo >> $DEBUG_INFO
-    echo "############# LSPCI ##############" >> $DEBUG_INFO
-    /sbin/lspci 2> /dev/null >> $DEBUG_INFO
-    
-    echo >> $DEBUG_INFO
-    echo "############# LSPCI -N ##############" >> $DEBUG_INFO
-    /sbin/lspci -n 2> /dev/null >> $DEBUG_INFO
-
-    echo >> $DEBUG_INFO
-    echo "############# LSMOD ##############" >> $DEBUG_INFO
-    /bin/lsmod >> $DEBUG_INFO
-    
-    echo >> $DEBUG_INFO
-    echo "############# DMESG ##############" >> $DEBUG_INFO                                                            
-    /bin/dmesg >> $DEBUG_INFO
-
-    echo >> $DEBUG_INFO
-    echo "############# Messages ##############" >> $DEBUG_INFO
-    tail -50 /var/log/messages >> $DEBUG_INFO
-
-    echo >> $DEBUG_INFO
-    echo "############# Running Processes ##############" >> $DEBUG_INFO
-    /bin/ps -ef >> $DEBUG_INFO
-    echo "##############################################" >> $DEBUG_INFO
-
-    eerror
-    eerror "Please open an issue in the http://openib.org/bugzilla and attach $DEBUG_INFO"
-    eerror
-}
-
-errata_58()
-{
-# Check AMD chipset issue Errata #58
-if test -x /sbin/lspci && test -x /sbin/setpci; then
-     if ( /sbin/lspci -nd 1022:1100 2> /dev/null | grep "1100" > /dev/null ) &&
-        ( /sbin/lspci -nd 1022:7450 2> /dev/null | grep "7450" > /dev/null ) &&
-        ( /sbin/lspci -nd 15b3:5a46 2> /dev/null | grep "5a46" > /dev/null ); then
-
-        if ! ( grep FIX_AMD_8131_ERR58 $CONFIG > /dev/null ); then
-            echo >> $CONFIG
-            echo "# Set FIX_AMD_8131_ERR58=YES to apply AMD-8131 Errata #58 workaround" >> $CONFIG
-            echo "FIX_AMD_8131_ERR58=\"YES\"" >> $CONFIG
-        fi
-        
-        # Set default value for FIX_AMD_8131_ERR58
-        if [ -z "$FIX_AMD_8131_ERR58" ]; then
-                FIX_AMD_8131_ERR58="YES"
-        fi
-        
-        CURVAL=`/sbin/setpci -d 1022:1100 69`
-
-        for val in $CURVAL
-        do
-            if [ "${val}" != "c0" ]; then
-                if [ "$FIX_AMD_8131_ERR58" == "YES" ]; then
-                    /sbin/setpci -d 1022:1100 69=c0
-                    if [ $? -eq 0 ]; then
-                        # echo "AMD-8131 Errata #58 workaround applied"
-                        break
-                    else
-                        echo "Failed to apply AMD-8131 Errata #58 workaround"
-                    fi
-                else
-                    echo
-                    echo "Invalid configuration found for PCI-X chipset AMD-8131 (Errata #58)"
-                    echo
-                    if [ "$RUNMODE" == "manual" ]; then
-                        read -p "Do you wish to continue anyway? [y/N]:"
-                        if [[ "$REPLY" != "y" && "$REPLY" != "yes" ]]; then
-                            exit 1
-                        fi
-                        break
-                    else
-                        exit 1
-                    fi
-                fi
-            fi
-        done
-    
-    fi
-fi
-
-}
-
-errata_56()
-{
-# Check AMD chipset issue Errata #56
-if test -x /sbin/lspci && test -x /sbin/setpci; then
-     if ( /sbin/lspci -nd 1022:1100 2> /dev/null | grep "1100" > /dev/null ) &&
-        ( /sbin/lspci -nd 1022:7450 2> /dev/null | grep "7450" > /dev/null ) &&
-        ( /sbin/lspci -nd 15b3:5a46 2> /dev/null | grep "5a46" > /dev/null ); then
-
-        if ! ( grep FIX_AMD_8131_ERR56 $CONFIG > /dev/null ); then
-            echo >> $CONFIG
-            echo "# Set FIX_AMD_8131_ERR56=YES to apply AMD-8131 Errata #56 workaround" >> $CONFIG
-            echo "FIX_AMD_8131_ERR56=\"YES\"" >> $CONFIG
-        fi
-
-        # Set default value for FIX_AMD_8131_ERR56
-        if [ -z "$FIX_AMD_8131_ERR56" ]; then
-                FIX_AMD_8131_ERR56="YES"
-        fi
-
-        bus=""
-
-        # Look for devices AMD-8131
-        for amd_dev in `/sbin/setpci -v -f -d 1022:7450 19 | cut -d':' -f1,2`
-        do
-
-                bus=`/sbin/setpci -s $amd_dev 19`
-                rev=`/sbin/setpci -s $amd_dev 8`
-
-
-                # Look for Tavor attach to secondary bus of this devices
-                for device in `/sbin/setpci -f -s $bus: -d 15b3:5a46 19`
-                do
-                        if [ $rev -lt 13 ]; then
-                                if [ "$FIX_AMD_8131_ERR56" == "YES" ]; then                     
-                                        /sbin/setpci -d 15b3:5a44 72=14
-                                        if [ $? -eq 0 ]; then
-                                                # echo "AMD-8131 Errata #56 workaround applied"
-                                                break
-                                        else
-                                                echo "Failed to apply AMD-8131 Errata #56 workaround"
-                                        fi
-                                else
-                                        echo
-                                        echo "Invalid configuration found for PCI-X chipset AMD-8131 (Errata #56)"
-                                        echo
-
-                                        if [ "$RUNMODE" == "manual" ]; then
-                                                read -p "Do you wish to continue anyway? [y/N]:"
-                                                if [[ "$REPLY" != "y" && "$REPLY" != "yes" ]]; then
-                                                    exit 1
-                                                fi
-                                                break
-                                        else
-                                                exit 1
-                                        fi
-                                fi
-
-                        else
-                                continue
-                        fi
-
-                        # If more than one device is on the bus the issue a
-                        # warning
-                        num=`/sbin/setpci -f -s $bus: 0 | wc -l |  sed 's/\ *//g'`
-
-                        if [ $num -gt 1 ]; then
-                                echo "Warning: your current PCI-X configuration might be incorrect."
-                                echo "see AMD-8131 Errata 56 for more details."
-                        fi
-
-                done
-        done
-
-     fi
-fi
-}
-
-rotate_log()
-{
-        local log=$1
-        if [ -s ${log} ]; then
-                cat ${log} >> ${log}.$(date +%Y-%m-%d)
-                /bin/rm -f ${log}
-        fi
-        touch ${log}
-}
-
-set_ipoib_cm()
-{
-        local i=$1
-        shift
-
-        if [ ! -e /sys/class/net/${i}/mode ]; then
-                echo "Failed to configure IPoIB connected mode for ${i}"
-                return 1
-        fi
-
-        echo connected > /sys/class/net/${i}/mode
-        /sbin/ifconfig ${i} mtu ${IPOIB_MTU}
-}
-
-bring_up()
-{
-        local i=$1
-        shift
-
-        /etc/init.d/net.$i start
-        
-        if [ "X${SET_IPOIB_CM}" == "Xyes" ]; then
-                set_ipoib_cm ${i}
-        fi
-
-        return $?
-}
-
-####
-PRE_UNLOAD_MODULES="ib_rds ib_ucm kdapl ib_srp_target scsi_target ib_srp ib_iser ib_sdp rdma_ucm rdma_cm ib_addr ib_cm ib_local_sa findex"
-
-# W/A for unloading modules
-POST_UNLOAD_MODULES="$PRE_UNLOAD_MODULES ib_ipoib ib_sa ib_uverbs ib_umad"
-# ib_mthca ib_ipath - dont unload unless they are in openib.conf
-[[ "${MTHCA_LOAD}" == "yes" ]] && \
-    POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_mthca"
-[[ "${IPATH_LOAD}" == "yes" ]] && \
-    POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_ipath ipath_core"
-
-[[ "${MTHCA_LOAD}" == "yes" || "${IPATH_LOAD}" == "yes" ]] && \
-    POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_mad ib_core"
-
-#STATUS_MODULES="rdma_ucm ib_rds ib_srp ib_sdp rdma_cm ib_addr ib_local_sa findex ib_ipoib ib_ipath ipath_core ib_mthca ib_uverbs ib_umad ib_ucm ib_sa ib_cm ib_mad ib_core"
-
-unload()
-{
-    # Unload module $1
-    if is_module $mod; then
-        /sbin/modprobe -r $mod > /dev/null 2>&1
-        if [ $? -ne 0 ]; then
-            # Try rmmod if modprobe failed: case that previous installation included more IB modules.
-            /sbin/rmmod $mod > /dev/null 2>&1
-            if [ $? -ne 0 ]; then
-                ewarn "Failed to unload $mod"
-                return 1
-            fi
-        fi
-    fi
-}
-
-start() {
-    local RC=0
-    ebegin "Initializing Infiniband"
-    eindent
-
-    # Load Mellanox HCA driver if explicitly requested
-    # (however, it should be loaded automatically by udev)
-
-    errata_58
-
-    einfo "Loading HCA and Access Layer drivers"
-
-	eindent
-    if [[ "${MTHCA_LOAD}" == "yes" ]]; then
-		ebegin "modprobe ib_mthca"
-        /sbin/modprobe ib_mthca > /dev/null 2>&1
-        RC=$[ $RC + $? ]
-		eend $?
-    fi
-    if [[ "${IPATH_LOAD}" == "yes" ]]; then
-		ebegin "modprobe ib_ipath"
-        /sbin/modprobe ib_ipath > /dev/null 2>&1
-        RC=$[ $RC + $? ]
-		eend $?
-    fi
-    if [[ "${EHCA_LOAD}" == "yes" ]]; then
-		ebegin "modprobe ib_ehca"
-        /sbin/modprobe ib_ehca > /dev/null 2>&1
-        RC=$[ $RC + $? ]
-		eend $?
-    fi
-	eoutdent
-
-    # Add node description to sysfs
-    IBSYSDIR="/sys/class/infiniband"
-    if [ -d ${IBSYSDIR} ]; then
-        declare -i hca_id=1
-        for hca in ${IBSYSDIR}/*; do
-            if [ -e ${hca}/node_desc ]; then
-                echo -n "$(hostname -s) HCA-${hca_id}" >> ${hca}/node_desc
-            fi
-            let hca_id++
-        done
-    fi
-
-	eindent
-	if [ $RC -eq 0 ]; then
-		ebegin "modprobe ib_umad"
-		/sbin/modprobe ib_umad > /dev/null 2>&1
-		RC=$[ $RC + $? ]
-		eend $RC
-	fi
-	if [ $RC -eq 0 ]; then
-		ebegin "modprobe ib_uverbs"
-		/sbin/modprobe ib_uverbs > /dev/null 2>&1
-		RC=$[ $RC + $? ]
-		eend $RC
-	fi
-	eoutdent
-
-    if [ $RC -eq 0 ] && [ $IPOIB -eq 1 ]; then
-        # this section is not necessary if all ip-over-ib devices are
-        # aliased properly in /etc/modules.d/openib
-        ebegin "modprobe ib_ipoib"
-        /sbin/modprobe ib_ipoib > /dev/null 2>&1
-        RC=$[ $RC + $? ]
-		eend $?
-    fi
-
-    if [ $RC -ne 0 ]; then
-        eerror "Loading HCA driver and Access Layer: "
-        get_debug_info
-        eoutdent
-        eend $RC
-        return
-    fi
-
-    if [ $IPOIB -eq 1 ]; then
-        # start the ipoib devices automatically...
-        # this is probably a bad idea (the concept is taken from the
-        # original SUSE/Redhat-based initscript), and should be removed.
-        # But it works, and is not enabled by default.  So I leave it here
-        # for second opinions.
-        get_interfaces
-        for i in $interfaces
-        do
-            if [ -e /etc/init.d/net.$i ]; then
-                einfo "starting ipoib device $i"
-                bring_up $i
-            fi
-        done
-
-        # leaving out the "Bring up child interfaces if configured" section.
-
-        if [ "X${IPOIBHA_ENABLE}" == "Xyes" ]; then
-            ipoib_ha_log="/var/log/ipoib_ha.log"
-            rotate_log ${ipoib_ha_log}
-            # Added sleep in order to wait for IPoIB interfaces to be UP
-            sleep 1
-            if [ ! -z "${PRIMARY_IPOIB_DEV}" ] && [ ! -z "${SECONDARY_IPOIB_DEV}" ]; then
-                ipoib_ha.pl -p ${PRIMARY_IPOIB_DEV} -s ${SECONDARY_IPOIB_DEV} --with-arping --with-multicast -v > ${ipoib_ha_log} 2>&1 &
-            else
-                ipoib_ha.pl --with-arping --with-multicast -v > ${ipoib_ha_log} 2>&1 &
-            fi
-            ipoib_ha_pid=$!
-            echo ${ipoib_ha_pid} > ${ipoib_ha_pidfile}
-	elif [ "X${IPOIBBOND_ENABLE}" == "Xyes" ]; then
-		if ( test ! -z $IPOIB_BONDS && which ib-bond &>/dev/null ) ; then
-			echo Setting up bonding interfaces:
-			for bond in $(echo $IPOIB_BONDS|tr , " ") ;  do
-				eval bond_ip=\$${bond}_IP
-				if [ -z $bond_ip ]; then
-					echo No IP address defined for $bond
-					continue
-				fi
-				eval bond_slaves=\$${bond}_SLAVES
-				if [ -z $bond_slaves ]; then
-					echo No slaves defined for $bond
-					continue
-				fi
-				ib-bond --bond-name $bond --bond-ip $bond_ip --slaves $bond_slaves 
-				RC=$?
-				if [ $RC -eq 0 ] ; then
-					einfo "Bringing up interface $bond"
-				else
-					eerror "Bringing up interface $bond"
-				fi
-				if [ "X${SET_IPOIB_CM}" == "Xyes" ]; then
-					for slave in $(echo $bond_slaves|tr , " ") ; do
-						set_ipoib_cm ${slave}
-					done
-				        /sbin/ifconfig $bond mtu ${IPOIB_MTU}
-				fi
-			done
-		fi
-        fi
-    fi
-
-    # Devices for ib_umad and ib_uverbs should now have been created.
-    if [ ! -d /dev/infiniband/ ]; then
-        eerror "udev failed to create '/dev/infiniband/' devices"
-        RC=1
-    fi
-
-    # Load configured modules
-    if [ "$POST_LOAD_MODULES" != "" ]; then
-        for mod in  $POST_LOAD_MODULES
-        do
-            case $mod in
-                ib_iser)
-                    # Voltaire requirement
-                    /sbin/modprobe --force-modversion $mod > /dev/null 2>&1
-                ;;
-                ib_srp)
-                        /sbin/modprobe $mod > /dev/null 2>&1
-                        if [ "X${SRPHA_ENABLE}" == "Xyes" ]; then
-                            if [ ! -x /sbin/multipath ]; then
-                                ewarn "/sbin/multipath is required to enable SRP HA."
-                            else
-                                # Create 91-srp.rules file
-                                mkdir -p /etc/udev/rules.d
-                                if [ "$DISTRIB" == "SuSE"  ]; then
-                                    cat > /etc/udev/rules.d/91-srp.rules << EOF
-ACTION=="add", KERNEL=="sd*[!0-9]", RUN+="/sbin/multipath %M:%m"
-EOF
-                                fi
-                                /sbin/modprobe dm_multipath > /dev/null 2>&1
-                                srp_daemon.sh &
-                                srp_daemon_pid=$!
-                                echo ${srp_daemon_pid} > ${srp_daemon_pidfile}
-                            fi
-                        fi
-                ;;
-                *)
-                    /sbin/modprobe $mod > /dev/null 2>&1
-                ;;
-            esac
-            RC=$?
-            [ $RC -ne 0 ] && eerror "Failed to load $mod"
-        done
-    fi
-
-    errata_56
-    sleep 1
-
-    # skipping udevstart stuff from ofed_scripts/openibd
-
-   # Create vnic interfaces. This needs to be done after udevstart
-    if [ "X${VNIC_LOAD}" == "Xyes" ]; then
-            if [[ ! -e /dev/infiniband/umad0  &&  ! -e /dev/infiniband/umad1 ]]; then
-                echo "/dev/infiniband/umad0 or /dev/infiniband/umad1 not present."
-                echo "Cannot create VNIC interfaces."
-                eerror "Bringing up VNIC interfaces"
-            elif is_module ib_vnic; then
-                echo "Setting up VNIC interfaces..."
-                vnic_parser.pl -v > /dev/null 2>&1
-                res=$?
-                if [ $res != 0 ]; then
-                    if [ $res == 2 ]; then
-                        echo "Created VNIC interfaces but with errors. Please refer to /var/log/messages."
-                        eerror "Bringing up VNIC interfaces"
-                    else
-                        echo "Error in parsing VNIC configuration file. Please refer to /var/log/messages."
-                        eerror "Bringing up VNIC interfaces"
-                    fi
-                else
-                    einfo "Bringing up VNIC interfaces"
-                fi
-            else
-                echo "Module ib_vnic not loaded."
-                eerror "Bringing up VNIC interfaces"
-            fi
-    fi
-
-    if [ X${RENICE_IB_MAD} == "Xyes" ]; then
-        # Set max_ports_num_in_hca variable
-        count_ib_ports
-        ports_num=$?
-        list_of_ibmads=""
-        for (( i=1 ; $i <= ${max_ports_num_in_hca} ; i++ ))
-        do
-                list_of_ibmads="${list_of_ibmads} ib_mad${i}"
-        done
-
-        ib_mad_pids=($(pidof ${list_of_ibmads} 2> /dev/null))
-        num_of_root_ibmad_procs=$(/bin/ps h -o user -p ${ib_mad_pids[*]} | grep -w root | wc -l)
-        get_pid_retries=0
-        while [ ${num_of_root_ibmad_procs} -lt $ports_num ]
-        do
-            # Wait maximum for 5 sec to get ib_mad process pid
-            if [ $get_pid_retries -gt 10 ]; then
-                    echo Failed to get $ports_num ib_mad PIDs to renice. Got ${num_of_root_ibmad_procs}.
-                    break
-            fi
-            usleep 500000
-            ib_mad_pids=($(pidof ${list_of_ibmads} 2> /dev/null))
-            num_of_root_ibmad_procs=$(/bin/ps h -o user -p ${ib_mad_pids[*]} | grep -w root | wc -l)
-            let get_pid_retries++
-        done
-        for ib_mad_pid in ${ib_mad_pids[*]}
-        do
-            if [ "$(/bin/ps -p ${ib_mad_pid} h -o user 2> /dev/null)" == "root" ]; then
-                    renice -19 ${ib_mad_pid} > /dev/null 2>&1
-            fi
-        done
-    fi
-
-    eoutdent
-    eend $RC
-}
-
-unload()
-{
-        # Unload module $1
-        local mod=$1
-        local unload_log
-        if is_module $mod; then
-                /sbin/modprobe -r $mod > /dev/null 2>&1
-                if [ $? -ne 0 ]; then
-                        # Try rmmod if modprobe failed: case that previous installation included more IB modules.
-                        unload_log=`/sbin/rmmod $mod 2>&1`
-                        if [ $? -ne 0 ]; then
-                            eerror "Unloading $mod"
-                            if [ ! -z "${unload_log}" ]; then
-                                echo $unload_log
-                            fi
-                            # get_debug_info
-                            [ ! -z $2 ] && echo $2
-                            exit 1
-                        fi    
-                fi
-        fi
-
-}
-
-stop() {
-    ebegin "Stopping Infiniband"
-    local RC=0
-
-    # Check if applications which use infiniband are running
-    local apps="opensm osmtest ibbs ibns"
-    local pid
-
-    for app in $apps
-    do
-        if ( ps -ef | grep $app | grep -v grep > /dev/null 2>&1 ); then
-            eerror "Please stop $app and all applications running over InfiniBand"
-            eend 1
-            return
-        fi
-    done
-
-    if ! is_module ib_core; then
-        einfo "HCA driver is not loaded"
-        eend 0
-        return
-    fi
-
-    # Stop IPoIB HA daemon if running
-    if [ -f $ipoib_ha_pidfile ]; then
-            local line p
-            read line < $ipoib_ha_pidfile
-            for p in $line ; do
-                    [ -z "${p//[0-9]/}" -a -d "/proc/$p" ] && ipoib_ha_pids="$ipoib_ha_pids $p"
-            done
-            /bin/rm -f $ipoib_ha_pidfile
-    fi
-
-    if [ -n "${ipoib_ha_pids:-}" ]; then
-        kill -9 ${ipoib_ha_pids} > /dev/null 2>&1
-        mcastpid=$(pidof -x mcasthandle)
-        if [ -n "${mcastpid:-}" ]; then
-            kill -9 ${mcastpid} > /dev/null 2>&1
-        fi
-    fi
-
-    # Down all bond interfaces
-    if ( which ib-bond &>/dev/null ) ; then
-            ib-bond --stop-all
-    fi
-
-    # Stop SRP HA daemon if running
-    if [ -f $srp_daemon_pidfile ]; then
-            local line p
-            read line < $srp_daemon_pidfile
-            for p in $line ; do
-                    [ -z "${p//[0-9]/}" -a -d "/proc/$p" ] && srp_daemon_pids="$srp_daemon_pids $p"
-            done
-            /bin/rm -f $srp_daemon_pidfile
-    fi
-
-    if [ -n "${srp_daemon_pids:-}" ]; then
-        kill -15 ${srp_daemon_pids} > /dev/null 2>&1
-    fi
-
-    if [ "X${SRPHA_ENABLE}" == "Xyes" ]; then
-            /bin/rm -f /etc/udev/rules.d/91-srp.rules > /dev/null 2>&1
-            mpath_pids=$(pidof -x multipath)
-            if [ -n "${mpath_pids:-}" ]; then
-                kill -9 ${mpath_pids} > /dev/null 2>&1
-            fi
-
-            if is_module ib_srp; then
-                for f in `/bin/ls /sys/class/scsi_host`
-                do
-                        if [ -f /sys/class/scsi_host/$f/local_ib_port ]; then
-                                for i in `/bin/ls -d /sys/class/scsi_host/$f/device/target*/*/block* | awk -F: '{print $NF}'`
-                                do
-                                    mdev=`/sbin/scsi_id -g -s /block/$i 2> /dev/null`
-                                    if [ -n "${mdev}" ]; then
-                                        /sbin/multipath -f $mdev > /dev/null 2>&1
-                                    fi
-                                done
-                        fi
-                done
-            fi
-    fi
-
-    # Unload modules
-    if [ "$UNLOAD_MODULES" != "" ]; then
-            for mod in  $UNLOAD_MODULES
-            do
-                    unload $mod
-            done
-    fi
-
-    eend $RC
-}
-

diff --git a/sys-infiniband/openib-drivers/files/openib.modprobe b/sys-infiniband/openib-drivers/files/openib.modprobe
deleted file mode 100644
index 52828fb..0000000
--- a/sys-infiniband/openib-drivers/files/openib.modprobe
+++ /dev/null
 <at>  <at>  -1,12 +0,0  <at>  <at> 
-# Setup aliases from ip-over-ib devices to the ip-over-ib kernel module.
-# Add to this list if you have more infiniband ports.  Or you can set
-# IPOIB_LOAD=yes to have the ip-over-ib interfaces brought up by init.d/openib
-alias ib0 ib_ipoib
-alias ib1 ib_ipoib
-alias ib2 ib_ipoib
-alias ib3 ib_ipoib
-
-alias net-pf-27 ib_sdp
-
-#options ib_mthca msi_x=1
-

diff --git a/sys-infiniband/openib-drivers/metadata.xml b/sys-infiniband/openib-drivers/metadata.xml
deleted file mode 100644
index 53173c2..0000000
--- a/sys-infiniband/openib-drivers/metadata.xml
+++ /dev/null
 <at>  <at>  -1,23 +0,0  <at>  <at> 
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-  <herd>cluster</herd>
-  <longdescription>
-OpenIB kernel modules.
-</longdescription>
-  <use>
-    <flag name="cxgb3">Automatically generated description for cxgb3</flag>
-    <flag name="ehca">Automatically generated description for ehca</flag>
-    <flag name="hpage-patch">Automatically generated description for hpage-patch</flag>
-    <flag name="ipath">Automatically generated description for ipath</flag>
-    <flag name="iser">Automatically generated description for iser</flag>
-    <flag name="madeye">Automatically generated description for madeye</flag>
-    <flag name="memtrack">Automatically generated description for memtrack</flag>
-    <flag name="rds">Automatically generated description for rds</flag>
-    <flag name="srp">Automatically generated description for srp</flag>
-    <flag name="vnic">Automatically generated description for vnic</flag>
-    <flag name="cxgb3">Automatically generated description for cxgb3</flag>
-    <flag name="ehca">Automatically generated description for ehca</flag>
-    <flag name="mlx4">Automatically generated description for mlx4</flag>
-  </use>
-</pkgmetadata>

diff --git a/sys-infiniband/openib-drivers/openib-drivers-1.2.5.5.ebuild b/sys-infiniband/openib-drivers/openib-drivers-1.2.5.5.ebuild
deleted file mode 100644
index cc14f84..0000000
--- a/sys-infiniband/openib-drivers/openib-drivers-1.2.5.5.ebuild
+++ /dev/null
 <at>  <at>  -1,145 +0,0  <at>  <at> 
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit linux-mod rpm
-
-DESCRIPTION="OpenIB kernel modules"
-HOMEPAGE="http://www.openfabrics.org/"
-SHORT_PV=${PV%\.[^.]}
-SRC_URI="http://www.openfabrics.org/builds/ofed-${SHORT_PV}/release/OFED-${PV}.tgz"
-MY_P="OFED-${PV}"
-S="${WORKDIR}/ofa_kernel-${PV}"
-
-LICENSE="|| ( GPL-2 BSD-2 )"
-SLOT="0"
-
-KEYWORDS="~x86 ~amd64"
-IUSE="cxgb3 debug ehca hpage-patch ipath iser madeye memtrack mlx4 rds srp vnic"
-
-RDEPEND=""
-PDEPEND="=sys-infiniband/openib-files-${PV}"
-DEPEND="${RDEPEND}
-	virtual/linux-sources"
-
-pkg_setup() {
-
-	CONFIG_CHECK="!INFINIBAND PCI"
-	ERROR_INFINIBAND="Infiniband is already compiled into the kernel."
-	ERROR_PCI="PCI must be enabled in the kernel."
-
-	linux-mod_pkg_setup
-}
-
-src_unpack() {
-	unpack ${A} || die "unpack failed"
-	rpm_unpack ${MY_P}/SRPMS/ofa_kernel-${PV}-0.src.rpm
-	tar xzf ofa_kernel-${PV}.tgz
-	# remove patches that failed for me:
-	rm "${S}/kernel_patches/fixes/0050_cxgb3__fix_MSI_X_failure_path" \
-		"${S}/kernel_patches/fixes/0051_cxgb3__Use_wild_card_for_PCI_subdevice_ID_match" \
-		"${S}/kernel_patches/fixes/0052_cxgb3__Fix_resources_release" \
-		"${S}/kernel_patches/fixes/0053_cxgb3__Add_EEH_support" \
-		"${S}/kernel_patches/fixes/0054_cxgb3__FW_upgrade" \
-		"${S}/kernel_patches/fixes/0055_cxgb3__fix_interaction_with_pktgen" \
-		"${S}/kernel_patches/fixes/0056_cxgb3__HW_set_up_updates" \
-		"${S}/kernel_patches/fixes/0057_cxgb3__Fix_I_O_synchronization" \
-		"${S}/kernel_patches/fixes/0071_cxgb3_Parity_initialization_for_T3C_adapters.patch" \
-		"${S}/kernel_patches/fixes/0072_cxgb3_Fix_EEH_missing_softirq_blocking.patch" \
-		"${S}/kernel_patches/fixes/z_0010_skb_copy.patch" \
-		"${S}/kernel_patches/fixes/z_0040_napi_default.patch"
-}
-
-make_target() {
-	local myARCH="${ARCH}" myABI="${ABI}"
-	ARCH="$(tc-arch-kernel)"
-	ABI="${KERNEL_ABI}"
-
-	emake HOSTCC=$(tc-getBUILD_CC) CC=$(get-KERNEL_CC) $ <at>  \
-		|| die "Unable to run emake $ <at> "
-
-	ARCH="${myARCH}"
-	ABI="${myABI}"
-}
-
-src_compile() {
-	convert_to_m Makefile
-
-	export CONFIG_INFINIBAND="m"
-	export CONFIG_INFINIBAND_IPOIB="m"
-	export CONFIG_INFINIBAND_SDP="m"
-	export CONFIG_INFINIBAND_SRP="m"
-
-	export CONFIG_INFINIBAND_USER_MAD="m"
-	export CONFIG_INFINIBAND_USER_ACCESS="m"
-	export CONFIG_INFINIBAND_ADDR_TRANS="y"
-	export CONFIG_INFINIBAND_MTHCA="m"
-	export CONFIG_INFINIBAND_IPATH="m"
-
-	CONF_PARAMS="--prefix=${ROOT}usr --kernel-version=${KV_FULL}
-				 --with-core-mod
-				 --with-ipoib-mod
-				 --with-ipoib-cm
-				 --with-sdp-mod
-				 --with-user_mad-mod
-				 --with-user_access-mod
-				 --with-addr_trans-mod
-				 --with-mthca-mod"
-	CONF_PARAMS="$CONF_PARAMS
-			     $(use_with srp)-mod
-			     $(use_with ipath)_inf-mod
-			     $(use_with iser)-mod
-			     $(use_with ehca)-mod
-			     $(use_with mlx4)-mod
-			     $(use_with rds)-mod
-			     $(use_with madeye)-mod
-			     $(use_with vnic)-mod
-			     $(use_with cxgb3)-mod"
-	if use debug; then
-		CONF_PARAMS="$CONF_PARAMS
-					 --with-mthca_debug-mod
-					 --with-ipoib_debug-mod
-					 --with-sdp_debug-mod
-					 $(use_with srp)_debug-mod
-					 $(use_with rds)_debug-mod
-					 $(use_with vnic)_debug-mod
-					 $(use_with mlx4)_debug-mod
-					 $(use_with cxgb3)_debug-mod"
-	else
-		CONF_PARAMS="$CONF_PARAMS
-					 --without-mthca_debug-mod
-					 --without-ipoib_debug-mod
-					 --without-sdp_debug-mod"
-	fi
-	ebegin "Configuring"
-	local myARCH="${ARCH}" myABI="${ABI}"
-	ARCH="$(tc-arch-kernel)"
-	ABI="${KERNEL_ABI}"
-	./configure ${CONF_PARAMS} ${EXTRA_ECONF} \
-		|| die "configure failed with options: ${CONF_PARAMS}"
-	ARCH="${myARCH}"
-	ABI="${myABI}"
-	eend
-
-	#sed -i '/DEPMOD.*=.*depmod/s/=.*/= :/' ./Makefile
-	#grep DEPMOD Makefile
-
-	make_target
-}
-
-src_install() {
-
-	make_target DESTDIR="${D}" install
-
-	insinto /usr/include/rdma
-	doins "${S}/include/rdma/*.h"
-	insinto /usr/include/scsi
-	doins "${S}/include/scsi/*.h"
-
-}
-
-pkg_postinst() {
-
-	linux-mod_pkg_postinst
-
-}

diff --git a/sys-infiniband/openib-files/ChangeLog b/sys-infiniband/openib-files/ChangeLog
deleted file mode 100644
index 4d9e4c1..0000000
--- a/sys-infiniband/openib-files/ChangeLog
+++ /dev/null
 <at>  <at>  -1,31 +0,0  <at>  <at> 
-# ChangeLog for sys-infiniband/openib-files
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: $
-
-*openib-files-1.4.1 (20 Aug 2009)
-
-  20 Aug 2009; Alexey Shvetsov <alexxy-aBrp7R+bbdUdnm+yROfE0A <at> public.gmane.org>
-  +openib-files-1.4.1.ebuild:
-  Version Bump
-
-  19 Mar 2009; Alexey Shvetsov <alexxy-aBrp7R+bbdUdnm+yROfE0A <at> public.gmane.org> -openib-files-1.1.ebuild:
-  Drop old versions
-
-*openib-files-1.4 (21 Jan 2009)
-
-  21 Jan 2009; Alexey Shvetsov <alexxy-aBrp7R+bbdUdnm+yROfE0A <at> public.gmane.org> +openib-files-1.4.ebuild:
-  Version bump
-
-  06 Jun 2008; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org> ChangeLog:
-  added openib.env per bug #223955 comment #17
-
-*openib-files-1.2.5.5 (05 Jun 2008)
-
-  05 Jun 2008; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org> ChangeLog:
-  added openib-files-1.2.5.5.ebuild
-
-*openib-files-1.1 (26 Oct 2006)
-
-  26 Oct 2006; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org> ChangeLog:
-  Initial Import
-

diff --git a/sys-infiniband/openib-files/files/90-ib.rules b/sys-infiniband/openib-files/files/90-ib.rules
deleted file mode 100644
index 7896684..0000000
--- a/sys-infiniband/openib-files/files/90-ib.rules
+++ /dev/null
 <at>  <at>  -1,5 +0,0  <at>  <at> 
-KERNEL=="umad*", NAME="infiniband/%k"
-KERNEL=="issm*", NAME="infiniband/%k"
-KERNEL=="uverbs*", NAME="infiniband/%k", MODE="0666"
-KERNEL=="ucm*", NAME="infiniband/%k", MODE="0666"
-KERNEL=="rdma_cm", NAME="infiniband/%k", MODE="0666"

diff --git a/sys-infiniband/openib-files/files/openib b/sys-infiniband/openib-files/files/openib
deleted file mode 100644
index ef8ad7d..0000000
--- a/sys-infiniband/openib-files/files/openib
+++ /dev/null
 <at>  <at>  -1,243 +0,0  <at>  <at> 
-#!/sbin/runscript
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-# Based on openibd script from openfabrics.org,
-#  Copyright (c) 2006 Mellanox Technologies. All rights reserved.
-#  Distributed under the terms of the GNU General Public License v2
-
-depend() {
-    after hotplug
-    before net         # init openib before starting any ipoib interfaces
-}
-
-OPENIB_CONFDIR=${OPENIB_CONFDIR:-/etc/infiniband}
-
-if [[ -r ${OPENIB_CONFDIR}/openib.conf ]] ; then
-    . ${OPENIB_CONFDIR}/openib.conf
-fi
-
-# Setting OpenIB start parameters
-POST_LOAD_MODULES=""
-
-if [ "X${SDP_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_sdp"
-    IPOIB_LOAD="yes"
-fi
-
-IPOIB=0
-if [ "X${IPOIB_LOAD}" == "Xyes" ]; then
-    IPOIB=1
-fi
-
-if [ "X${SRP_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_srp"
-fi
-
-if [ "X${SRP_TARGET_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_srp_target"
-fi
-
-if [ "X${RDMA_CM_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES rdma_cm"
-fi
-
-if [ "X${UCM_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_ucm"
-fi
-
-if [ "X${RDS_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_rds"
-fi
-
-if [ "X${ISER_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES ib_iser"
-fi
-
-if [ "X${RDMA_UCM_LOAD}" == "Xyes" ]; then
-    POST_LOAD_MODULES="$POST_LOAD_MODULES rdma_ucm"
-fi
-
-PRE_UNLOAD_MODULES="ib_rds ib_ucm kdapl ib_srp_target scsi_target ib_srp ib_iser ib_sdp rdma_ucm rdma_cm ib_addr ib_cm ib_local_sa findex"
-
-# W/A for unloading modules
-POST_UNLOAD_MODULES="$PRE_UNLOAD_MODULES ib_ipoib ib_sa ib_uverbs ib_umad"
-# ib_mthca ib_ipath - don't unload unless they are in openib.conf
-[[ "${MTHCA_LOAD}" == "yes" ]] && \
-    POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_mthca"
-[[ "${IPATH_LOAD}" == "yes" ]] && \
-    POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_ipath ipath_core"
-
-[[ "${MTHCA_LOAD}" == "yes" || "${IPATH_LOAD}" == "yes" ]] && \
-    POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_mad ib_core"
-
-#STATUS_MODULES="rdma_ucm ib_rds ib_srp ib_sdp rdma_cm ib_addr ib_local_sa findex ib_ipoib ib_ipath ipath_core ib_mthca ib_uverbs ib_umad ib_ucm ib_sa ib_cm ib_mad ib_core"
-
-
-# If module $1 is loaded return - 0 else - 1
-is_module()
-{
-    local RC
-
-    /bin/lsmod | grep -w "$1" > /dev/null 2>&1
-    RC=$?
-
-    return $RC
-}
-
-unload()
-{
-    # Unload module $1
-    if is_module $mod; then
-        /sbin/modprobe -r $mod > /dev/null 2>&1
-        if [ $? -ne 0 ]; then
-            # Try rmmod if modprobe failed: case that previous installation included more IB modules.
-            /sbin/rmmod $mod > /dev/null 2>&1
-            if [ $? -ne 0 ]; then
-                ewarn "Failed to unload $mod"
-                return 1
-            fi
-        fi
-    fi
-}
-
-start() {
-    local RC=0
-    ebegin "Initializing Infiniband"
-    eindent
-
-    # Load Mellanox HCA driver if explicitly requested
-    # (however, it should be loaded automatically by udev)
-
-    einfo "Loading HCA and Access Layer drivers"
-
-    if [[ "${MTHCA_LOAD}" == "yes" ]]; then
-        /sbin/modprobe ib_mthca > /dev/null 2>&1
-        RC=$[ $RC + $? ]
-    fi
-    if [[ "${IPATH_LOAD}" == "yes" ]]; then
-        /sbin/modprobe ib_ipath > /dev/null 2>&1
-        RC=$[ $RC + $? ]
-    fi
-
-    # Add node description to sysfs
-    IBSYSDIR="/sys/class/infiniband"
-    if [ -d ${IBSYSDIR} ]; then
-        declare -i hca_id=1
-        for hca in ${IBSYSDIR}/*; do
-            if [ -e ${hca}/node_desc ]; then
-                echo -n "$(hostname -s) HCA-${hca_id}" >> ${hca}/node_desc
-            fi
-            let hca_id++
-        done
-    fi
-    /sbin/modprobe ib_umad > /dev/null 2>&1
-    RC=$[ $RC + $? ]
-    /sbin/modprobe ib_uverbs > /dev/null 2>&1
-    RC=$[ $RC + $? ]
-
-    if [ $IPOIB -eq 1 ]; then
-        # this section is not necessary if all ib-over-ib devices are
-        # aliased properly in /etc/modules.d/openib
-        einfo "loading ib_ipoib module"
-        /sbin/modprobe ib_ipoib > /dev/null 2>&1
-        RC=$[ $RC + $? ]
-        if (( ! RC )); then
-            # start the ipoib devices automatically...
-            # this is probably a bad idea (the concept is taken from the
-            # original SUSE/Redhat-based initscript), and should be removed.
-            # But it works, and is not enabled by default.  So I leave it here
-            # for second opinions.
-            local ibdevs=`rc-status -u -nc |egrep 'net\.ib[0-9a-zA-Z]+.*stopped' | awk '{print $1}'`
-            if [ -n "$ibdevs" ] ; then
-                einfo "starting ipoib devices"
-                for ibdev in $ibdevs; do
-                    /etc/init.d/$ibdev start
-                done
-            fi
-        fi
-    fi
-
-    # Devices for ib_umad and ib_uverbs should now have been created.
-    if [ ! -d /dev/infiniband/ ]; then
-        eerror "udev failed to create '/dev/infiniband/' devices"
-        RC=1
-    fi
-
-    # Load configured modules
-    if [ "$POST_LOAD_MODULES" != "" ]; then
-        for mod in  $POST_LOAD_MODULES
-        do
-            case $mod in
-                ib_iser)
-                    # Voltaire requirement
-                    /sbin/modprobe --force-modversion $mod > /dev/null 2>&1
-                ;;
-                *)
-                    /sbin/modprobe $mod > /dev/null 2>&1
-                ;;
-            esac
-            RC=$?
-            [ $RC -ne 0 ] && eerror "Failed to load $mod"
-        done
-    fi
-
-    eoutdent
-    eend $RC
-}
-
-stop() {
-    ebegin "Stopping Infiniband"
-    local RC=0
-
-    # Check if applications which use infiniband are running
-    local apps="opensm osmtest ibbs ibns"
-    local pid
-
-    for app in $apps
-    do
-        if ( ps -ef | grep $app | grep -v grep > /dev/null 2>&1 ); then
-            eerror "Please stop $app and all applications running over InfiniBand"
-            eend 1
-            return
-        fi
-    done
-
-    if ! is_module ib_core; then
-        einfo "HCA driver is not loaded"
-        eend 0
-        return
-    fi
-
-    # Unload ULPs modules
-
-    if [ "$PRE_UNLOAD_MODULES" != "" ]; then
-        for mod in $PRE_UNLOAD_MODULES
-        do
-            unload $mod || { eend 1; return; }
-        done
-    fi
-
-    # Remove srp_presistant_bind.sh before removing ib_srp module
-    PID_SCRPT_TO_KILL=`ps -efww | grep srp_persistent | grep -v grep | awk '{print $2}'`
-    if ! [ "$PID_SCRPT_TO_KILL" == "" ]; then
-        PID_SLEEP_TO_KILL=`ps -efww | grep $PID_SCRPT_TO_KILL | grep sleep | awk '{print $2}'`
-        kill -9 $PID_SCRPT_TO_KILL
-    fi
-    if ! [ "$PID_SLEEP_TO_KILL" == "" ]; then
-        kill -9 $PID_SLEEP_TO_KILL
-    fi
-
-    # Unload OpenIB modules
-
-    if [ "$POST_UNLOAD_MODULES" != "" ]; then
-        for mod in  $POST_UNLOAD_MODULES
-        do
-            unload $mod || RC=1
-        done
-    fi
-
-    eend $RC
-}
-

diff --git a/sys-infiniband/openib-files/files/openib.conf b/sys-infiniband/openib-files/files/openib.conf
deleted file mode 100644
index 9b4eb29..0000000
--- a/sys-infiniband/openib-files/files/openib.conf
+++ /dev/null
 <at>  <at>  -1,27 +0,0  <at>  <at> 
-# uncomment to load ib_ipoib module
-#IPOIB_LOAD=yes
-
-# uncomment to load ib_sdp module (implies IPOIB_LOAD=yes)
-#SDP_LOAD=yes
-
-# uncomment to load ib_srp module
-#SRP_LOAD=yes
-
-# uncomment to load ib_srp_target module
-#SRP_TARGET_LOAD=yes
-
-# uncomment to load rdma_cm module
-#RDMA_CM_LOAD=yes
-
-# uncomment to load ib_ucm module
-#UCM_LOAD=yes
-
-# uncomment to load ib_rds module
-#RDS_LOAD=yes
-
-# uncomment to load ib_iser module
-#ISER_LOAD=yes
-
-# uncomment to load rdma_ucm module
-#RDMA_UCM_LOAD=yes
-

diff --git a/sys-infiniband/openib-files/files/openib.env b/sys-infiniband/openib-files/files/openib.env
deleted file mode 100644
index 2e34cf2..0000000
--- a/sys-infiniband/openib-files/files/openib.env
+++ /dev/null
 <at>  <at>  -1 +0,0  <at>  <at> 
-IBPATH="/usr/sbin"

diff --git a/sys-infiniband/openib-files/files/openib.modprobe b/sys-infiniband/openib-files/files/openib.modprobe
deleted file mode 100644
index 52828fb..0000000
--- a/sys-infiniband/openib-files/files/openib.modprobe
+++ /dev/null
 <at>  <at>  -1,12 +0,0  <at>  <at> 
-# Setup aliases from ip-over-ib devices to the ip-over-ib kernel module.
-# Add to this list if you have more infiniband ports.  Or you can set
-# IPOIB_LOAD=yes to have the ip-over-ib interfaces brought up by init.d/openib
-alias ib0 ib_ipoib
-alias ib1 ib_ipoib
-alias ib2 ib_ipoib
-alias ib3 ib_ipoib
-
-alias net-pf-27 ib_sdp
-
-#options ib_mthca msi_x=1
-

diff --git a/sys-infiniband/openib-files/files/openib.modprobe.1.2.5.5 b/sys-infiniband/openib-files/files/openib.modprobe.1.2.5.5
deleted file mode 100644
index 8478d67..0000000
--- a/sys-infiniband/openib-files/files/openib.modprobe.1.2.5.5
+++ /dev/null
 <at>  <at>  -1,13 +0,0  <at>  <at> 
-# Setup aliases from ip-over-ib devices to the ip-over-ib kernel module.
-# Add to this list if you have more infiniband ports.  Or you can set
-# IPOIB_LOAD=yes to have the ip-over-ib interfaces brought up by init.d/openib
-alias ib0 ib_ipoib
-alias ib1 ib_ipoib
-alias ib2 ib_ipoib
-alias ib3 ib_ipoib
-
-alias net-pf-27 ib_sdp
-
-#options ib_mthca  msi_x=1
-#options mlx4_core msi_x=1
-

diff --git a/sys-infiniband/openib-files/metadata.xml b/sys-infiniband/openib-files/metadata.xml
deleted file mode 100644
index f1ef010..0000000
--- a/sys-infiniband/openib-files/metadata.xml
+++ /dev/null
 <at>  <at>  -1,17 +0,0  <at>  <at> 
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-  <herd>cluster</herd>
-  <longdescription>
-OpenIB system files and examples.
-</longdescription>
-  <use>
-    <flag name="ehca">Automatically generated description for ehca</flag>
-    <flag name="ipath">Automatically generated description for ipath</flag>
-    <flag name="iser">Automatically generated description for iser</flag>
-    <flag name="srp">Automatically generated description for srp</flag>
-    <flag name="vnic">Automatically generated description for vnic</flag>
-    <flag name="mlx4">Automatically generated description for mlx4</flag>
-    <flag name="rds">Automatically generated description for rds</flag>
-  </use>
-</pkgmetadata>

diff --git a/sys-infiniband/openib-files/openib-files-1.2.5.5.ebuild b/sys-infiniband/openib-files/openib-files-1.2.5.5.ebuild
deleted file mode 100644
index 872bf29..0000000
--- a/sys-infiniband/openib-files/openib-files-1.2.5.5.ebuild
+++ /dev/null
 <at>  <at>  -1,132 +0,0  <at>  <at> 
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit rpm
-
-DESCRIPTION="OpenIB system files"
-HOMEPAGE="http://www.openfabrics.org/"
-SHORT_PV=${PV%\.[^.]}
-SRC_URI="http://www.openfabrics.org/builds/ofed-${SHORT_PV}/release/OFED-${PV}.tgz"
-MY_P="OFED-${PV}"
-S="${WORKDIR}"
-SCRIPTDIR="${S}/ofa_kernel-${PV}/ofed_scripts"
-
-LICENSE="|| ( GPL-2 BSD-2 )"
-SLOT="0"
-
-KEYWORDS="~x86 ~amd64"
-IUSE="ehca ipath iser mlx4 rds srp vnic"
-
-RDEPEND=""
-DEPEND="${RDEPEND}"
-
-src_unpack() {
-	unpack ${A} || die "unpack failed"
-	rpm_unpack ${MY_P}/SRPMS/ofa_kernel-${PV}-0.src.rpm
-	tar xzf ofa_kernel-${PV}.tgz ofa_kernel-${PV}/ofed_scripts
-}
-
-src_install() {
-
-	insinto /etc/udev/rules.d
-	newins "${SCRIPTDIR}/90-ib.rules" 40-ib.rules
-	insinto /etc/modules.d
-	newins "${FILESDIR}/openib.modprobe.${PV}" openib
-	newenvd "${FILESDIR}/openib.env" 02openib
-	insinto /etc/infiniband
-
-	doinitd "${FILESDIR}/openib"
-
-	# build openib.conf based on ofed_scripts/ofa_kernel.spec
-	build_ipoib=1
-	build_sdp=1
-	cp "${SCRIPTDIR}/openib.conf" "${T}"
-	IB_CONF_DIR=${T}
-	echo >> ${IB_CONF_DIR}/openib.conf
-	echo "# Load UCM module" >> ${IB_CONF_DIR}/openib.conf
-	echo "UCM_LOAD=no" >> ${IB_CONF_DIR}/openib.conf
-	echo >> ${IB_CONF_DIR}/openib.conf
-	echo "# Load RDMA_CM module" >> ${IB_CONF_DIR}/openib.conf
-	echo "RDMA_CM_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
-	echo >> ${IB_CONF_DIR}/openib.conf
-	echo "# Load RDMA_UCM module" >> ${IB_CONF_DIR}/openib.conf
-	echo "RDMA_UCM_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
-	echo >> ${IB_CONF_DIR}/openib.conf
-	echo "# Increase ib_mad thread priority" >> ${IB_CONF_DIR}/openib.conf
-	echo "RENICE_IB_MAD=no" >> ${IB_CONF_DIR}/openib.conf
-
-	echo >> ${IB_CONF_DIR}/openib.conf
-	echo "# Load MTHCA" >> ${IB_CONF_DIR}/openib.conf
-	echo "MTHCA_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
-	if use ipath; then
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Load IPATH" >> ${IB_CONF_DIR}/openib.conf
-		echo "IPATH_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
-	fi
-	if use ehca; then
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Load eHCA" >> ${IB_CONF_DIR}/openib.conf
-		echo "EHCA_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
-	fi
-	if use mlx4; then
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Load MLX4 modules" >> ${IB_CONF_DIR}/openib.conf
-		echo "MLX4_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
-	fi
-	if (( build_ipoib )); then
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Load IPoIB" >> ${IB_CONF_DIR}/openib.conf
-		echo "#IPOIB_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Enable IPoIB Connected Mode" >> ${IB_CONF_DIR}/openib.conf
-		echo "#SET_IPOIB_CM=yes" >> ${IB_CONF_DIR}/openib.conf
-		# from ofa_user.spec:
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Enable IPoIB High Availability daemon" >> ${IB_CONF_DIR}/openib.conf
-		echo "#IPOIBHA_ENABLE=no" >> ${IB_CONF_DIR}/openib.conf
-		echo "# PRIMARY_IPOIB_DEV=ib0" >> ${IB_CONF_DIR}/openib.conf
-		echo "# SECONDARY_IPOIB_DEV=ib1" >> ${IB_CONF_DIR}/openib.conf
-	fi
-	if (( build_sdp )); then
-		 echo >> ${IB_CONF_DIR}/openib.conf
-		 echo "# Load SDP module" >> ${IB_CONF_DIR}/openib.conf
-		 echo "#SDP_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
-	fi
-	if use srp; then
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Load SRP module" >> ${IB_CONF_DIR}/openib.conf
-		echo "#SRP_LOAD=no" >> ${IB_CONF_DIR}/openib.conf
-		# from ofa_user.spec:
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Enable SRP High Availability daemon" >> ${IB_CONF_DIR}/openib.conf
-		echo "#SRPHA_ENABLE=no" >> ${IB_CONF_DIR}/openib.conf
-
-	fi
-	if use iser; then
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Load ISER module" >> ${IB_CONF_DIR}/openib.conf
-		echo "#ISER_LOAD=no" >> ${IB_CONF_DIR}/openib.conf
-	fi
-	if use rds; then
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Load RDS module" >> ${IB_CONF_DIR}/openib.conf
-		echo "#RDS_LOAD=no" >> ${IB_CONF_DIR}/openib.conf
-	fi
-	if use vnic; then
-		echo >> ${IB_CONF_DIR}/openib.conf
-		echo "# Load VNIC module" >> ${IB_CONF_DIR}/openib.conf
-		echo "#VNIC_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
-	fi
-
-	doins "${T}/openib.conf"
-}
-
-pkg_postinst() {
-	/sbin/update-modules
-	einfo "Configuration file installed in /etc/infiniband/openib.conf"
-	einfo "To automatically initialize infiniband on boot, add openib to your"
-	einfo "start-up scripts, like so:"
-	einfo "\`rc-update add openib default\`"
-
-}

diff --git a/sys-infiniband/openib-userspace/ChangeLog b/sys-infiniband/openib-userspace/ChangeLog
deleted file mode 100644
index c9a72c7..0000000
--- a/sys-infiniband/openib-userspace/ChangeLog
+++ /dev/null
 <at>  <at>  -1,27 +0,0  <at>  <at> 
-# ChangeLog for sys-cluster/openib-userspace
-# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: $
-
-*openib-userspace-1.2.5.5 (05 Jun 2008)
-
-  05 Jun 2008; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org> ChangeLog:
-  added openib-userspace-1.2.5.5.ebuild
-
-  28 May 2008; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org> ChangeLog:
-  added ~x86 keyword, updated copyright date
-  openib-userspace-1.2.5.1.ebuild: removed
-
-  03 Jan 2008; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org>
-  openib-userspace-1.2.5.1-r1.ebuild: removed openib-mvapich2 blocker
-
-  02 Jan 2008; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org>
-  openib-userspace-1.2.5.1-r1.ebuild: added -j1 to emake, per bug #203817
-
-  29 Nov 2007; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org> ChangeLog:
-  fixed opensm configuration files.
-
-*openib-userspace-1.2 (24 Oct 2007)
-
-  24 Oct 2007; Bryan Green <bryan.d.green-NSQ8wuThN14 <at> public.gmane.org> ChangeLog:
-  Initial Import; All-inclusive userspace libs/tools
-

diff --git a/sys-infiniband/openib-userspace/files/opensm.conf.d b/sys-infiniband/openib-userspace/files/opensm.conf.d
deleted file mode 100644
index d3fba93..0000000
--- a/sys-infiniband/openib-userspace/files/opensm.conf.d
+++ /dev/null
 <at>  <at>  -1,2 +0,0  <at>  <at> 
-# If you want to pass any options to OpenSM, set them here.
-OPTIONS=

diff --git a/sys-infiniband/openib-userspace/files/opensm.init.d b/sys-infiniband/openib-userspace/files/opensm.init.d
deleted file mode 100644
index 2b38b84..0000000
--- a/sys-infiniband/openib-userspace/files/opensm.init.d
+++ /dev/null
 <at>  <at>  -1,28 +0,0  <at>  <at> 
-#!/sbin/runscript
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /CVS/groups/vistech/bgreen-overlay/sys-cluster/openib-userspace/files/opensm.init.d,v 1.1.1.1 2007/10/12 20:18:26 bgreen Exp $
-
-# Based on opensm script from openfabrics.org,
-#  Copyright (c) 2006 Mellanox Technologies. All rights reserved.
-#  Distributed under the terms of the GNU General Public License v2
-
-depend() {
-    need openib
-    after net    # ip net seems to be needed to perform management.
-}
-
-prog=/usr/bin/opensm
-
-start() {
-    ebegin "Starting OpenSM Infiniband Subnet Manager"
-    start-stop-daemon --start --background --exec $prog -- $OPTIONS
-    eend $?
-}
-
-stop() {
-    ebegin "Stopping OpenSM Infiniband Subnet Manager"
-    start-stop-daemon --stop --exec $prog
-    eend $?
-}
-

diff --git a/sys-infiniband/openib-userspace/metadata.xml b/sys-infiniband/openib-userspace/metadata.xml
deleted file mode 100644
index d6772da..0000000
--- a/sys-infiniband/openib-userspace/metadata.xml
+++ /dev/null
 <at>  <at>  -1,20 +0,0  <at>  <at> 
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-  <herd>cluster</herd>
-  <longdescription>
-OpenFabrics Userspace libraries and tools.  Infiniband for Linux.
-See 'www.openfabrics.org'.
-</longdescription>
-  <use>
-    <flag name="cxgb3">Automatically generated description for cxgb3</flag>
-    <flag name="dapl">Automatically generated description for dapl</flag>
-    <flag name="ehca">Automatically generated description for ehca</flag>
-    <flag name="ipath">Automatically generated description for ipath</flag>
-    <flag name="mstflint">Automatically generated description for mstflint</flag>
-    <flag name="opensm">Automatically generated description for opensm</flag>
-    <flag name="qlvnictools">Automatically generated description for qlvnictools</flag>
-    <flag name="srptools">Automatically generated description for srptools</flag>
-    <flag name="tvflash">Automatically generated description for tvflash</flag>
-  </use>
-</pkgmetadata>

diff --git a/sys-infiniband/openib-userspace/openib-userspace-1.2.5.5.ebuild b/sys-infiniband/openib-userspace/openib-userspace-1.2.5.5.ebuild
deleted file mode 100644
index 95faf61..0000000
--- a/sys-infiniband/openib-userspace/openib-userspace-1.2.5.5.ebuild
+++ /dev/null
 <at>  <at>  -1,91 +0,0  <at>  <at> 
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit rpm
-
-SHORT_PV=${PV%\.[^.]}
-MY_P="OFED-${PV}"
-OSM="${S}/src/userspace/management/osm"
-
-DESCRIPTION="OpenFabrics userspace libraries and utilities"
-HOMEPAGE="http://www.openfabrics.org/"
-SRC_URI="http://www.openfabrics.org/builds/ofed-${SHORT_PV}/release/OFED-${PV}.tgz"
-
-SLOT="0"
-LICENSE="|| ( GPL-2 BSD-2 )"
-KEYWORDS="~x86 ~amd64"
-IUSE="cxgb3 dapl ehca ipath mstflint opensm qlvnictools srptools tvflash"
-
-DEPEND=""
-PDEPEND="=sys-infiniband/openib-files-${PV}"
-RDEPEND="${DEPEND}
-	!sys-infiniband/libibverbs
-	!sys-infiniband/libmthca
-	!sys-infiniband/libipathverbs
-	!sys-infiniband/librdmacm
-	!sys-infiniband/libsdp
-	!sys-infiniband/dapl
-	!sys-infiniband/libehca
-	!sys-infiniband/libibcm
-	!sys-infiniband/libibcommon
-	!sys-infiniband/libibmad
-	!sys-infiniband/libibumad
-	!sys-infiniband/openib-diags
-	!sys-infiniband/openib-osm
-	!sys-infiniband/openib-perf
-	!sys-infiniband/openib-srptools
-	!sys-infiniband/openib"
-
-S="${WORKDIR}/ofa_user-${PV}"
-
-src_unpack() {
-	unpack ${A} || die "unpack failed"
-	rpm_unpack ${MY_P}/SRPMS/ofa_user-${PV}-0.src.rpm
-	tar xzf ofa_user-${PV}.tgz
-}
-
-src_compile() {
-	use ipath && myconf="$myconf --with-libipathverbs"
-	use ehca && myconf="$myconf --with-libehca"
-	use cxgb3 && myconf="$myconf --with-libcxgb3"
-	use opensm && myconf="$myconf --with-management-libs"
-	myconf="--with-libibverbs --with-libmthca"
-	myconf="$myconf --with-libibcm"
-	myconf="$myconf --with-libsdp"
-	myconf="$myconf --with-librdmacm"
-	myconf="$myconf $(use_with dapl)"
-	myconf="$myconf $(use_with opensm)"
-	myconf="$myconf --with-openib-diags"
-	myconf="$myconf --with-perftest"
-	myconf="$myconf $(use_with srptools)"
-	myconf="$myconf --with-ipoibtools"
-	myconf="$myconf $(use_with qlvnictools)"
-	myconf="$myconf $(use_with tvflash)"
-	myconf="$myconf $(use_with mstflint)"
-	myconf="$myconf --with-sdpnetstat"
-	#econf ${myconf} || die "configure failed"
-	./configure --prefix=/usr --mandir=/usr/share/man \
-		--sysconfdir=/etc \
-		${myconf} ${EXTRA_ECONF} || die "configure failed"
-	emake -j1 || die
-}
-
-src_install() {
-	make DESTDIR="${D}" install || die "install failed"
-	dodoc "${WORKDIR}/${MY_P}/README.txt"
-	dodoc "${WORKDIR}/${MY_P}/docs/*"
-	if use opensm ; then
-		newconfd "${OSM}/scripts/opensm.sysconfig" opensm
-		newinitd "${FILESDIR}/opensm.init.d" opensm
-		insinto /etc
-		doins "${S}/ofed_scripts/opensm.conf"
-		dobin "${S}/ofed_scripts/sldd.sh"
-	fi
-}
-
-pkg_postinst() {
-	einfo "To automatically configure the infiniband subnet manager on boot,"
-	einfo "edit /etc/opensm.conf and add opensm to your start-up scripts:"
-	einfo "\`rc-update add opensm default\`"
-}



Gmane